Feature # 30440 (Closed): Simple & automatic host registration WF

Install packages after host registration

01/28/2021 09:24 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8298

  

Description

As a user I want to be able to easily automate installation of additional packages at the end of the registration.

New features:

- New Global Parameter `registration_install_packages`

- New snippet `manage_packages`

- New template macro `manage_packages`

Associated revisions

Revision bf56104d - 04/19/2021 02:18 PM - Leos Stejskal

Fixes #31743 - Template macro install_packages (#8298)

For package installation on supported OS families: Red Hat, Debian & Suse.

In host registration users can now install packages

by setting the `host_packages` parameter.

Also if a snippet `host_init_config_post` is defined, it gets added to the registration script.

History

#1 - 01/29/2021 12:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8298 added

#2 - 04/19/2021 02:18 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/19/2021 03:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|bf56104d8e67e9ad56c18054776a94507d78a41a.
